D52(1)

NAME
d52 - disassembler for Intel 8052/8051/8031/etc

d48 - disassembler for Intel 8048 and 8041

dz80 - disassembler for Zilog Z80, Intel 8080 and 8085

SYNOPSIS
d52 options filename

DESCRIPTION
Full documentation may be found in /usr/doc/d52-3.4.1/d52manual.html and /usr/doc/d52-3.4.1/dz80-d48addendum.html.

OPTIONS
Options may be entered Unix style (-d) or DOS style (/b).

Options may be entered in a freeform fashion as long as a dash (-) or a slash (/) precedes any option that precedes the filename. Examples:

        d52 filename bd
        d52 -d filename x100
        d52 /h filename d -x100

  Common Options
These options are supported by d52, d48, and dz80.

-b  disassemble file with .bin extension.

-h  disassemble file with .hex extension. If neither 'b' nor 'h' is specified, first search for a .hex file, and if not found, then a .bin file

-a  use ascii macro instead of db/defb for text.

-d  include address and data in the comment field.

-n  use C style for hexadecimal operands

-p  put dot '.' at beginning of pseudo ops

-s  use 'defb' and 'defw' instead of 'db' and 'dw' for binary data.

-u  output labels, symbols, and mnemonics in upper case.

  D52 Options

-i  put statement in output file to include 'sfr52.inc'.

-k  disassemble for Keil A51 (obsolete).

-x  add a hexadecimal offset to file addresses.

-z[filename]
    read cycle count file. Cycle count files are installed to /usr/share/d52/ in this build. See /usr/doc/d52-3.4.1/cycle_counting.htm for more information.

-t  trace and analyze code before disassembly. will overwrite any existing ctl file for the file being disassembled.

  D48 Options

-1  disassemble 8041 code (note, this is the numeral one, not the lowercase letter L).

  DZ80 Options

-c  disassemble CP/M .com file (implies -x100).

-t  trace and analyze code before disassembly. will overwrite any existing ctl file for the file being disassembled.

-x  add a hexadecimal offset to file addresses.

-80 generate 8080 mnemonics.

-85 generate 8085 mnemonics.

AUTHOR
d52, d48, and dz80 are copyright (C) 1995-2007 by J. L. Post.

This man page was written by B. Watson for the SlackBuilds.org project. It may be used by anyone.